AmiKit - Your Modern Retro Amiga Experience
 Begin Register Reply Search Statistics Quick Guide  
Online now: Guests - 2
Members - 0
Most users ever online: 717 [7 Feb 2021 09:33]
Guests - 717 / Members - 0
Specific questions AmiKit Support Forum / Specific questions /  
 

ScummVM

 
Author Geirmund81
Partaker
#1 Posted: 5 Aug 2021 22:15 Edited by: Geirmund81 
The ScummVM fails when trykng to launch. Actually it crash the system.
Vampire 500 V2+ With Amikit XE running on top of Amiga OS 3.2.

Snoopdos first detected fail to find libs:select.gadget
Found it and copied it to libs. Still crash.
Then snoopdos detect env:gadgete/select.prefs to fail.
What am I missing here ?

Update, found select.prefs and copied to ENV:
No more fail messages in snoopdos. But the screen flash 2 times then open newmode, and then it crash.

Author AmiKit
Admin
#2 Posted: 5 Aug 2021 22:34 
Hi Geirmund81,

that is very interesting as I don't think that ScummVM uses ReAction GUI - as SnoopDos suggests when reporting missing gadgets.

Do you have a chance to try it on non-OS3.2 AmiKit? Just to see whether it is caused by OS3.2 itself or not.

Author Geirmund81
Partaker
#3 Posted: 5 Aug 2021 22:51 
AmiKit
Yes i will try and revert

Author Geirmund81
Partaker
#4 Posted: 8 Aug 2021 00:00 Edited by: Geirmund81 
AmiKit
Ok I tested now.
Running in Amikit XE on Amiga OS 3.2 the screen flash, newmode comes up and allows me to select screenmode, then it just freeze and crash.
Tested on pure and clean Amiga OS 3.2, the system tells me that stack size is low, so I increase it, and then it works fine.
I go back to Amikit, same behavoir as before, except that this time it only freeze (no crash).

Update: I was a litle triggerhappy... i doesnt work fine in os3.2. But I can start it and work in it for a while and then i freeze. In amikit, it will not open, it either crash or freeze before it is opened.

Author AmiKit
Admin
#5 Posted: 8 Aug 2021 10:45 
Perhaps try the newer 2.2 version of ScummVM? According the the video, it seems it works fine on V1200/OS3.2
https://artishq.wordpress.com/2021/05/14/scummvm-2-1-neverhood/

Author Geirmund81
Partaker
#6 Posted: 14 Aug 2021 22:54 
Ok I have found the problem. It was AHI not working. Downloaded version 4.18 from Aminet, installed and all of a sudden a lot of other surprising crashes are also avoided.
Could this be an incompatible version of AHI included in Amikit ?

Author AmiKit
Admin
#7 Posted: 14 Aug 2021 23:00 
That is interesting because the Vampire edition of AmiKit includes exactly the same version of AHI: 4.18.
Maybe my config was not right and by installing the 4.18 version again it got reset to default?

Author Geirmund81
Partaker
#8 Posted: 16 Aug 2021 18:59 
AmiKit
Well, I noticed that during the installation of the AHI package that I downloaded from Aminet I was asked if I wanted to replace the ahi.device in devs. Apparently there was a different version currently installed (older). I selected "yes". Maybe something you can check in the amikit files and test ?

Author AmiKit
Admin
#9 Posted: 16 Aug 2021 19:00 
Definitely. Thank you.

Author Geirmund81
Partaker
#10 Posted: 16 Aug 2021 20:22 
AmiKit

Correction. The AHI.device installed from Amikit was newer than the AHI.device in the AHI package that I found on Aminet and is working.'

Specific questions AmiKit Support Forum / Specific questions /
 ScummVM

Your Reply Click this icon to move up to the quoted message


 ?
Only registered users are allowed to post here. Please, enter your username/password details upon posting a message, or register first.

 

 
AmiKit Support Forum Powered by Forum Script miniBB ®
 ⇑